import { RuntimeException as BasicRuntimeException } from '@adonisjs/generic-exceptions';
/**
 * Class to throw runtime exceptions
 *
 * @class RuntimeException
 * @constructor
 */
export declare class RuntimeException extends BasicRuntimeException {
    /**
     * This exception is raised when task an undefined schedule
     */
    static undefinedTaskSchedule(task: string): RuntimeException;
    /**
     * This exception is raised when task an undefined handle
     */
    static undefinedTaskHandle(task: string): RuntimeException;
    /**
     * This exception is raised when task an undefined handle
     */
    static undefinedInstanceTask(task: string): RuntimeException;
    /**
     * This exception is raised when task an undefined handle
     */
    static notFoundTask(dir: string): RuntimeException;
}
