/// <reference types="@adonisjs/logger/build/adonis-typings/logger" />
import Logger from '@ioc:Adonis/Core/Logger';
import { LockerInterface } from '@ioc:Adonis/Addons/Scheduler';
/**
 * @module BaseTask
 * @description Task base class
 */
export declare class BaseTask {
    protected tmpPath: string;
    protected logger: typeof Logger;
    name: string;
    locker: LockerInterface;
    startedAt: number;
    /**
     * Set enable use .lock file for block run retry task
     * Lock file save to `tmpPath`
     */
    static get useLock(): boolean;
    static get schedule(): string;
    constructor(tmpPath: string, logger: typeof Logger);
    /**
     * Example input JasperEventsDrop
     * Example output jasper:events:drop
     */
    protected _getName(): string;
    protected _getLocker(): LockerInterface;
    _run(): Promise<void>;
    handle(): Promise<void>;
    /**
     * Get task running time duration
     */
    duration(source?: boolean): number;
}
