/// <reference types="@adonisjs/logger/build/adonis-typings/logger" />
import { BaseTask } from './Task';
import { IocContract } from '@adonisjs/fold';
import Logger from '@ioc:Adonis/Core/Logger';
/**
 * @module Scheduler
 * @description Task scheduler provider using node-schedule
 */
export default class Scheduler {
    protected container: IocContract;
    protected logger: typeof Logger;
    private appRootPath;
    private tasksPath;
    private registeredTasks;
    /**
     */
    constructor(appRootPath: string, container: IocContract, logger: typeof Logger);
    /**
     * Configure tasks absolute path for app
     * /<project-dir>/app/Tasks
     */
    private _configureTasksPath;
    /**
     * Load task file
     */
    private _fetchTask;
    getRegisteredTasks(): BaseTask[];
    /**
     * Register scheduled tasks for every task found in app/Tasks
     *
     * @public
     */
    run(taskClasses?: Array<typeof BaseTask>): Promise<void>;
}
